---
{%- from "go-aptproxy/map.jinja" import go-aptproxy with context %}
go-aptproxy-archive-extract:
  archive.extracted:
    - name: {{ go-aptproxy.release_dir }}/go-aptproxy-{{ go-aptproxy.version }}
    - source: {{ go-aptproxy.mirror }}/{{ go-aptproxy.version }}/go-aptproxy-{{ go-aptproxy.version }}-{{ go-aptproxy.os }}-{{ go-aptproxy.arch }}.tar.gz
    - skip_verify: true
    - enforce_toplevel: false
    - if_missing: {{ go-aptproxy.release_dir }}/go-aptproxy-{{ go-aptproxy.version }}
    - watch_in:
      - service: go-aptproxy-service

go-aptproxy-binary-symlink:
  file.symlink:
    - name: {{ go-aptproxy.install_dir }}/go-aptproxy
    - target: {{ go-aptproxy.release_dir }}/go-aptproxy-{{ go-aptproxy.version }}
    - require:
      - archive: go-aptproxy-archive-extract
    - watch_in:
      - service: go-aptproxy-service

go-aptproxy-cleanup:
  software.cleanup:
    - name: go-aptproxy
    - path: {{ go-aptproxy.release_dir }}
    - version: {{ go-aptproxy.version }}
